export declare function tablePoGetTableId(resourceName: string): string;
export declare function tablePoClickAddButton(resourceName: string): Promise<void>;
export declare function tablePoClickEditButton(resourceId: string): Promise<void>;
export declare function tablePoClickPreviousPageButton(): Promise<void>;
export declare function tablePoClickNextPageButton(): Promise<void>;
export declare function tablePoClickElementByResourceId(parentElementId: string, resourceToClickId: string, tableElement: string): Promise<void>;
export declare function tablePoAreFiltersPresent(resourceName: string): Promise<void>;
export declare function tablePoSelectPageSize(pageSize: number): Promise<void>;
export declare function tablePoGetElementCount(tableId: string, elementId: string): Promise<number>;
export declare function tablePoGetResourceIndexByResourceId(resourceId: string, parentId?: string): Promise<string>;
export declare function tablePoGetCheckMarkId(resourceName: string, checkMarkName: string, columnIndex: number): string;
export declare function tablePoWaitForDataToChange(resourceName: string, previousText?: string): Promise<void>;
export declare function tablePoGetTableRowValue(resourceName: string, rowIndex: number): Promise<string>;
export declare function tablePoGetTableText(resourceName: string): Promise<string>;
export declare function assertTableCellNotEqual(resourceName: string, rowIndex: number, previousValue: unknown): Promise<string>;
export declare function tablePoSimulateHover(tableId: string): Promise<void>;
export declare function tablePoSimulateUnhover(): Promise<void>;
